import * as i0 from '@angular/core';
import { Injectable, Component, Directive, Input, HostBinding, NgModule } from '@angular/core';

class NgxWeincodeDsService {
    constructor() { }
}
NgxWeincodeDsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
NgxWeincodeDsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class NgxWeincodeDsComponent {
    constructor() { }
    ngOnInit() {
    }
}
NgxWeincodeDsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
NgxWeincodeDsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.5", type: NgxWeincodeDsComponent, selector: "lib-ngx-weincode-ds", ngImport: i0, template: `
    <p>
      ngx-weincode-ds works!
    </p>
  `, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-ngx-weincode-ds', template: `
    <p>
      ngx-weincode-ds works!
    </p>
  ` }]
        }], ctorParameters: function () { return []; } });

const BUTTON_CLASSES = {
    primary: 'wc-btn-primary',
    secondary: 'wc-btn-secondary'
};
class WcBtnDirective {
    constructor(changeDector) {
        this.changeDector = changeDector;
        /**
        * Parámetro para indicar el tipo de botón.
        *
        * @type {('primary' | 'secondary')}
        * @memberof WcBtnDirective
        */
        this.btnStyle = 'primary';
        this.classes = '';
    }
    ngAfterViewInit() {
        console.log(this.btnStyle);
        this.classes = BUTTON_CLASSES[this.btnStyle];
        this.changeDector.detectChanges();
    }
}
WcBtnDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: WcBtnDirective, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Directive });
WcBtnDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.5", type: WcBtnDirective, selector: "[wc-btn]", inputs: { btnStyle: "btnStyle" }, host: { properties: { "class": "this.classes" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: WcBtnDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[wc-btn]',
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }]; }, propDecorators: { btnStyle: [{
                type: Input
            }], classes: [{
                type: HostBinding,
                args: ['class']
            }] } });

class NgxWeincodeDsModule {
}
NgxWeincodeDsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxWeincodeDsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsModule, declarations: [NgxWeincodeDsComponent,
        WcBtnDirective], exports: [NgxWeincodeDsComponent,
        WcBtnDirective] });
NgxWeincodeDsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.5", ngImport: i0, type: NgxWeincodeDsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        NgxWeincodeDsComponent,
                        WcBtnDirective
                    ],
                    imports: [],
                    exports: [
                        NgxWeincodeDsComponent,
                        WcBtnDirective
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-weincode-ds
 */

/**
 * Generated bundle index. Do not edit.
 */

export { NgxWeincodeDsComponent, NgxWeincodeDsModule, NgxWeincodeDsService, WcBtnDirective };
//# sourceMappingURL=ngx-weincode-ds.mjs.map
